/*
* Copyright 2012 Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.1 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


#ifndef __PHONE_TEXT_H__
#define __PHONE_TEXT_H__

#include <libintl.h>

#define gettext_noop(String) (String)
#define N_(String) gettext_noop (String)

enum {
	PHTEXT_KEYPAD,
	PHTEXT_FAVORITES,
	PHTEXT_SPEEDDIAL,
	PHTEXT_VOICE_MAIL,
	PHTEXT_LOGS,
	PHTEXT_SPEED_DIAL_REQUEST,
	PHTEXT_REQUEST_FAIL,
	PHTEXT_REQUEST_SUCCESS,
	PHTEXT_EMERGENCY_CALL,
	PHTEXT_NO_LOGS,
	PHTEXT_NO_FAVORITES,
	PHTEXT_NOT_EXIST_MESSAGE,
	PHTEXT_EXCEED_NUM_MAX_LENGTH,
	PHTEXT_DELETING_LOGS,
	PHTEXT_DELETING_FAVORITES,
	PHTEXT_INITIALIZING,
	PHTEXT_SOUND_OFF,
	PHTEXT_SOUND_ON,
	PHTEXT_PREVIOUS_SCREEN_ABB,
	PHTEXT_BACK_TO_CALL,
	PHTEXT_INCOMMING_CALL,
	PHTEXT_OUTGOING_CALL,
	PHTEXT_MISSED_CALL,
	PHTEXT_SENT_MESSAGE,
	PHTEXT_RECEIVED_MESSAGE,
	PHTEXT_REJECTED_CALL_ABB,
	PHTEXT_BLOCKED_CALL_ABB,
	PHTEXT_EDIT_NUMBER_BEFORE_CALL,
};	//PH_GET_TEXT_BASIC


enum {
	CTTEXT_ALL_CONTACTS,
	CTTEXT_NOT_ASSIGNED,
	CTTEXT_SDN,
	CTTEXT_PHONE,
	CTTEXT_GROUP,
	CTTEXT_DEFAULT,
	CTTEXT_RINGTONE,
	CTTEXT_URL,
	CTTEXT_INSTANT_MESSENGER,
	CTTEXT_EMAIL,
	CTTEXT_NUMBER,
	CTTEXT_NOTE,
	CTTEXT_POSTAL_ADDRESS,
	CTTEXT_DETAILS,
	CTTEXT_COMPANY,
	CTTEXT_ORDER_DISPLAY_NAME,
	CTTEXT_OWN_NUMBER,
	CTTEXT_FIRSTNAME,
	CTTEXT_LASTNAME,
	CTTEXT_MIDDLE,
	CTTEXT_SUFFIX,
	CTTEXT_NICKNAME,
	CTTEXT_SELECT_EXPORT_ADDRBOOK,
	CTTEXT_SELECT_CONTACTS,
	CTTEXT_POSTAL_CODE,
	CTTEXT_COUNTRY,
	CTTEXT_PROVINCE,
	CTTEXT_CITY,
	CTTEXT_STREET,
	CTTEXT_SAVED_IN,
	CTTEXT_MOST_FREQUENT_CONTACTS,
	CTTEXT_COPIED,
	CTTEXT_EXPORTED,
	CTTEXT_DELETING_CONTACTS,
	CTTEXT_MOVING_CONTACTS,
	CTTEXT_COPYING_CONTACTS,
	CTTEXT_IMPORTING_SIM_CONTACTS,
	CTTEXT_IMPORTING_SD_CONTACTS,
	CTTEXT_EXPORTING_CONTACTS_TO,
	CTTEXT_VCARD_CONTACTS,
	CTTEXT_LOADING_VCARD,
	CTTEXT_IMPORTED,
	CTTEXT_NA,
	CTTEXT_ALL_LINKED_CONTACTS,
	CTTEXT_LINKED_CONTACTS,
	CTTEXT_MORE_INFORMATION,
	CTTEXT_JOB_TITLE,
	CTTEXT_DEPARTMENT,
	CTTEXT_GROUP_NAME,
	CTTEXT_ADD_ACCOUNT,
	CTTEXT_ADDING_MEMBERS_TO_GROUP,
	CTTEXT_VIEW,
	CTTEXT_COUNT_CONTACTS,
	CTTEXT_RENAME,
	CTTEXT_RELATIONSHIP,
	CTTEXT_NO_HISTORIES,
	CTTEXT_NO_ACTIVITIES,
	CTTEXT_ADDING_ING,
	CTTEXT_CUSTOM,
	CTTEXT_ADDITIONAL_INFO,
	CTTEXT_PO_BOX,
	CTTEXT_STATE,
	CTTEXT_FRIENDS,
	CTTEXT_FAMILY,
	CTTEXT_CO_WORKERS,
	CTTEXT_WORK,
	CTTEXT_VIBRATION_PATTERN,
	CTTEXT_SET_DEFAULT,
	CTTEXT_EVENT,
	CTTEXT_SHARE_CONTACT_INFO,
	CTTEXT_1_CONTACT,
	CTTEXT_WI_FI_DIRECT,
	CTTEXT_EXPORT_TO_SIM_CARD,
	CTTEXT_INFO,
	CTTEXT_HISTORY,
	CTTEXT_ACTIVITIES,
	CTTEXT_GROUP_MESSAGE,
	CTTEXT_GROUP_EMAIL,
}; //CT_GET_TEXT_BASIC

enum {
	CTTEXT_NONAME,
	CTTEXT_INVALID_EMAIL,
	CTTEXT_SAVE_FAIL,
	CTTEXT_ERR_DB_LOCKED,
	CTTEXT_ADD_FAIL_EXIST,
	CTTEXT_ALREADY_EXIST,
	CTTEXT_NO_GROUP,
	CTTEXT_NO_NUMBER,
	CTTEXT_NO_EMAIL,
	CTTEXT_NO_CONTACTS,
	CTTEXT_IMPORT_SIM_NO_DATA,
	CTTEXT_EXCEED_LIMIT,
	CTTEXT_DATA_NOT_EXIST,
	CTTEXT_INVALID_NUMBER,
	CTTEXT_SIM_MEMORY_FULL,
	CTTEXT_NO_CONTACTS_HELP_TEXT,
	CTTEXT_NO_HISTORIES_HELP_TEXT,
	CTTEXT_UNABLE_TO_SEND_NAME_CARDS,
};//CT_GET_TEXT_ERR

enum {
	PHTEXT_SELECT_LOGS,
	PHTEXT_SELECT_SPEED_DIAL_CONTACTS,
	PHTEXT_UNBLOCK,
	PHTEXT_CHANGE_CONTACT,
	PHTEXT_ADD_PAUSE,
	PHTEXT_ADD_WAIT,
	PHTEXT_MISSED,
	PHTEXT_EXIT,
};	// PH_GET_TEXT_BASE_OP

enum {
	PHTEXT_BODY_SUNDAY,
	PHTEXT_BODY_MONDAY,
	PHTEXT_BODY_TUESDAY,
	PHTEXT_BODY_WEDNESDAY,
	PHTEXT_BODY_THURSDAY,
	PHTEXT_BODY_FRIDAY,
	PHTEXT_BODY_SATURDAY,
};	// PH_GET_TEXT_DAY

enum {
	CTTEXT_SET_DEFAULT_NUMBER,
	CTTEXT_SET_DEFAULT_EMAIL,
	CTTEXT_IMAGE,
	CTTEXT_TAKE_A_PHOTO,
	CTTEXT_DELETE_PHOTO,
	CTTEXT_ADD_TO_HOME,
	CTTEXT_SAVE_CONTACT_TO,
	CTTEXT_SAVE_TO,
	CTTEXT_IMPORT_SIM_CONTACTS,
	CTTEXT_FIRSTLAST,
	CTTEXT_LASTFIRST,
	CTTEXT_SHOW,
	CTTEXT_HIDE,
	CTTEXT_SEND_NAME_CARD,
	CTTEXT_CREATE_GROUP,
	CTTEXT_SELECT_GROUP,
	CTTEXT_EXPORT_CONTACTS,
	CTTEXT_IMPORT_CONTACTS,
	CTTEXT_LINK_CONTACTS,
	CTTEXT_UNLINK,
	CTTEXT_ALL_LINKED_CONTACTS_WILL_BE_DELETED,
	CTTEXT_ADD_TO_FAVOURITES,
	CTTEXT_EDIT_GROUP,
	CTTEXT_ADD_MEMBER,
};	//CT_GET_TEXT_BASE_OP

enum {
	CTTEXT_REL_NONE,
	CTTEXT_REL_ASSISTANT,
	CTTEXT_REL_BROTHER,
	CTTEXT_REL_CHILD,
	CTTEXT_REL_DOMESTIC_PARTNER,
	CTTEXT_REL_FATHER,
	CTTEXT_REL_FRIEND,
	CTTEXT_REL_MANAGER,
	CTTEXT_REL_MOTHER,
	CTTEXT_REL_PARENT,
	CTTEXT_REL_PARTNER,
	CTTEXT_REL_REFERRED_BY,
	CTTEXT_REL_RELATIVE,
	CTTEXT_REL_SISTER,
	CTTEXT_REL_SPOUSE,
	CTTEXT_REL_CUSTOM,
}; //CT_GET_TEXT_RELATIONSHIP_TYPE

enum {
	PH_GET_TEXT_BASIC,
	PH_GET_TEXT_BASE_OP,
	PH_GET_TEXT_DAY,
	CT_GET_TEXT_BASIC,
	CT_GET_TEXT_ERR,
	CT_GET_TEXT_BASE_OP,
	CT_GET_TEXT_NUM_TYPE,
	CT_GET_TEXT_EMAIL_TYPE,
	CT_GET_TEXT_WEBSITE_TYPE,
	CT_GET_TEXT_POSTAL_TYPE,
	CT_GET_TEXT_EVENT_TYPE,
	CT_GET_TEXT_IM_TYPE,
	CT_GET_TEXT_MONTH,
	CT_GET_TEXT_RELATIONSHIP_TYPE,
};
const char* phone_get_text(int op, int type);
#define T_(op, type) phone_get_text(op, type)

enum {
	PH_SYS_SK_OK,
	CT_SYS_SK_SAVE,
	CT_SYS_SK_DONE,
	PH_SYS_SK_EDIT,
	PH_SYS_SK_DELETE,
	PH_SYS_SK_CANCEL,
	PH_SYS_SK3_BLOCK,
	PH_SYS_SK_NO,
	PH_SYS_SK_YES,
	CT_SYS_SK_ADD,
	CT_SYS_SK_MORE,
	CT_SYS_SK_NEXT,
	PH_SYS_BODY_CALL,
	PH_SYS_BODY_MESSAGE,
	PH_SYS_BODY_VIDEO_CALL,
	PH_SYS_BODY_UNKNOWN,
	PH_SYS_BODY_SELECT_ALL,
	PH_SYS_BODY_CONTACTS,
	PH_SYS_BODY_DETAILS,
	PH_SYS_BODY_REMOVE,
	PH_SYS_BODY_TODAY,
	PH_SYS_BODY_YESTERDAY,
	PH_SYS_BODY_PREVIOUS,
	PH_SYS_BODY_NONAME,
	CT_SYS_BODY_CREATE,
	CT_SYS_BODY_MOVE,
	CT_SYS_BODY_COPY,
	CT_SYS_BODY_PHONE,
	CT_SYS_BODY_SEARCH,
	CT_SYS_BODY_BLUETOOTH,
	CT_SYS_BODY_EMAIL,
	CT_SYS_BODY_SIM,
	CT_SYS_BODY_MEMORYCARD,
	CT_SYS_BODY_NAME,
	PH_SYS_BODY_ALL,
	PH_SYS_POP_FAIL,
	PH_SYS_POP_FAILED,
	PH_SYS_POP_CLOSE,
	PH_SYS_POP_REMOVED,
	PH_SYS_POP_DELETED,
	PH_SYS_POP_INCORRECT_PASSWORD,
	PH_SYS_POP_ALREDY_EXISTS,
	PH_SYS_POP_SELECTED,
	CT_SYS_POP_SUCCESS,
	CT_SYS_POP_ERROR,
	CT_SYS_POP_MOVED,
	CT_SYS_POP_ADDED,
	CT_SYS_POP_NOT_ENOUGH_MEMORY,
	CT_SYS_POP_NOTHING_SELECTED,
	CT_SYS_POP_FILE_NOT_FOUND,
	CT_SYS_POP_ADDRESS,
	PH_SYS_OPT_ADD_TO_CONTACTS,
	PH_SYS_BODY_SELECTED_DATA_NOT_FOUND,
	PH_SYS_POP_DELETE_Q,
	CT_SYS_SK_SET,
	CT_SYS_SK_RESET,
};

const char* phone_get_system_string(int type);
#define S_(text) phone_get_system_string(text)

#endif //__PHONE_TEXT_H__
