/*
* Copyright 2012 Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.1 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


#ifndef __CONTACTS_DETAIL_UTILS_H__
#define __CONTACTS_DETAIL_UTILS_H__

enum CT_BLOCK_TYPE {
	CT_BLOCK_CALL = 0x01,
	CT_BLOCK_MESSAGE = 0x02,
};

void ct_detail_make_vcard(ct_detail_data *cdetail_d);
void ct_detail_send_via_msg(void *data, Evas_Object *obj, void *event_info);
void ct_detail_send_via_email(void *data, Evas_Object *obj, void *event_info);
void ct_detail_send_via_bluetooth(void *data, Evas_Object *obj, void *event_info);
void ct_detail_delete_namecards(ct_detail_data *cdetail_d);
void ct_detail_popup_hide_cb(void *data, Evas_Object *obj, void *event_info);
void ct_detail_contact_changed(const char *view_uri, void *user_data);
void ct_detail_mouseup(void *data, Evas *evas, Evas_Object *obj, void *event_info);
const char* ct_detail_get_ringtone_display_name(const char *real_data);
const char* ct_detail_get_vibration_display_name(const char *real_data);
void ct_detail_get_group_names(contacts_record_h record_contact, char *dest, int dest_len);
int ct_detail_get_full_addr(contacts_record_h record, char *buf, int buf_len);
int ct_detail_parse_bundle(service_h service, ct_detail_data* cdetail_d, int *ret);
void ct_detail_myfile_ringtone(void *data, Evas_Object *obj, void *event_info);
void ct_detail_myfile_vibration(void *data, Evas_Object *obj, void *event_info);
char* ct_detail_gl_baseinfo_label_get(void *data, Evas_Object *obj, const char *part);
Evas_Object* ct_detail_gl_baseinfo_icon_get(void *data, Evas_Object *obj, const char *part);
Evas_Object* ct_detail_gl_number_util_icon_get(void *data, Evas_Object *obj, const char *part);
void ct_detail_voice_call_cb(void *data, Evas_Object *obj, void *event_info);
void ct_detail_msg_ug_cb(void *data, Evas_Object *obj, void *event_info);
void ct_detail_create_list_view(ct_detail_data *cdetail_d, Evas_Smart_Cb sel_cb, void *cb_data, int id_caller);
int ct_detail_load_vcard_contact(ct_detail_data *cdetail_d, char *path);
void ct_detail_person_get_group_names(Eina_List *contact_list, char *dest, int dest_len);
void ct_detail_person_get_company_str(Eina_List *contact_list, char *dest, int dest_len);
void ct_detail_person_get_extra_name(Eina_List *contact_list, contacts_record_h record_person, char *dest, int dest_len);
void ct_detail_person_get_addressbook_name(contacts_record_h record_account, char *buf, int buf_len);
Eina_List* ct_detail_person_get_postal_list(Eina_List *contact_list);
Eina_List* ct_detail_person_get_messenger_list(Eina_List *contact_list);
Eina_List* ct_detail_person_get_website_list(Eina_List *contact_list);
Eina_List* ct_detail_person_get_relationship_list(Eina_List *contact_list);
Eina_List* ct_detail_person_get_event_list(Eina_List *contact_list);
Eina_List* ct_detail_person_get_note_list(Eina_List *contact_list);
void ctui_person_free_contact_list(Eina_List *contact_list);
int ct_detail_get_address_type_index(int type);
int ct_detail_get_website_type_index(int type);
bool ct_detail_person_get_readonly(Eina_List *list_contacts);
UDateFormat* ct_detail_init_time_formatter(void);
char* ct_detail_get_datetime_str(UDateFormat* formatter, int year, int mon, int day);
void ct_detail_refresh_view(ct_detail_data *cdetail_d);

#endif //__CONTACTS_DETAIL_UTILS_H__
