/*
* Copyright 2012 Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.1 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


#ifndef __CONTACTS_DETAIL_H__
#define __CONTACTS_DETAIL_H__

#include "phone-common.h"

#define CT_DETAIL_DEFAULT_NUM_COLOR 213, 129, 31, 255
#define CT_DETAIL_IMAGE_SIZE 128
#define CT_DETAIL_RESET_BUTTON_SIZE 32
#define CT_VCARD_FILE_MAX_SIZE 1024*1024

int ctui_create_detail_view(ct_list_data *clist_d, ct_person_list *person_info);
void ct_detail_view_language_changed(ct_detail_data *cdetail_d);
int ctui_create_input_view(ct_detail_data *cdetail_d);
int ctui_create_detail_view_from_phone(Evas_Object *win, Evas_Object *navi, ui_gadget_h ug, int id);
void ctui_create_share_info_ug_layout(Evas_Object *navi, int person_id, ui_gadget_h ug);

Evas_Object* ctui_contacts_viewer(Evas_Object *win, Evas_Object *navi, int personid_vcardidx, const char *vcard_path);
Evas_Object* ctui_detail_genlist_update(ct_detail_data *cdetail_d);



#endif //__CONTACTS_DETAIL_H__
