/*
* Copyright 2012 Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.1 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


#ifndef __PH_DIALER_UTIL_H__
#define __PH_DIALER_UTIL_H__

#include <stdio.h>

typedef struct
{
	char *plog_number;
}ph_dial_log_d;

typedef struct
{
	char *display;
	char *number;
	char *find_number;
	char *img_path;
	char *numtype_label;

	int number_type;
	int type;
	int contact_id;
	int position;
	int len;
}ph_dial_search_d;

typedef struct{
	char *cc;
	char *name;
	int mcc;
}ph_cc_name_mcc_info;

void ph_dialer_util_launch_call(ph_dialer_data *dial_d);

int ph_dialer_util_get_pure_numstr_with_plus(ph_dialer_data *dial_d, char *dest);
int ph_dialer_util_get_pure_numstr(ph_dialer_data *dial_d, char *dest);
int ph_dialer_util_get_numstr_from_node(ph_dialer_data *dial_d, char *dest);
int ph_dialer_util_del_all_number(ph_dialer_data *dial_d);

int ph_dialer_util_append_node_from_numstr(ph_dialer_data *dial_d, char *string);
int ph_dialer_util_append_node_from_numstr_with_strip(ph_dialer_data *dial_d, char *string);
int ph_dialer_util_remove_node_at_cursor(ph_dialer_data *dial_d);

void ph_dialer_util_insert_number_at_cursor(ph_dialer_data *dial_d, char num);
char ph_dialer_util_get_number_at_cursor(ph_dialer_data *dial_d);
int ph_dialer_util_get_cursor_pos(ph_dialer_data *dial_d);

char ph_dialer_util_get_next_value_abcmode(char in);
char ph_dialer_util_get_value_word(char in);
InputNumber *ph_dialer_util_get_node_by_index(ph_dialer_data *dial_d, int index);
void ph_dialer_util_strip_from_number_node(ph_dialer_data *dial_d);
int ph_dialer_util_is_dash(char ch);
void ph_dialer_util_add_dashes(ph_dialer_data *dial_d, DashMode kMode);
void ph_dialer_util_entry_clear(ph_dialer_data *dial_d);

void ph_dialer_util_highlight_substring(char *dest, int dest_len, char *allpart, char *part);
void ph_dialer_util_highlight_substring_with_pos(char *dest, int dest_len, char *string,
		int position, int length);

ph_speeddial_info* ph_dialer_util_get_speeddial_by_number(void *data, int speednumber);

int ph_dialer_util_show_matched_one_number(ph_dialer_data *dial_d, char *name, char *number);
void ph_dialer_util_show_speeddial_msg(ph_dialer_data *dial_d, const char *msg);
void ph_dialer_util_speeddial_show_cb(void *data, Evas_Object *obj, void *event_info);

void ph_dialer_util_init_sim_value(ph_dialer_data *dial_d);
void ph_dialer_util_setup_run_mode(ph_dialer_data *dial_d);
void ph_dialer_util_svi_play(int vibration_key, int sound_key);

#endif //__PH_DIALER_UTIL_H__
