/*
* Copyright 2012 Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.1 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


#ifndef __PH_DIALER_VIEW_H__
#define __PH_DIALER_VIEW_H__

enum {
	COUNT_BUTTON_CLOSE,
	COUNT_BUTTON_OPEN
};

typedef enum {
	SEARCH_LOG_TYPE,
	SEARCH_SPEEDDIAL_TYPE,
	SEARCH_CONTACT_NUM_TYPE,
	SEARCH_CONTACT_NAME_TYPE,
} search_type;

#define KEY_DIALER_DATA	"dialer_data"
#define MULTI_TOUCH_SUPPORT_KEY_COUNT	12

typedef struct {
	Evas_Coord_Rectangle	dial_btn[MULTI_TOUCH_SUPPORT_KEY_COUNT];
	Evas_Coord_Rectangle	background;
	const char*		dial_btn_name[MULTI_TOUCH_SUPPORT_KEY_COUNT];

	Evas_Coord	lastDownX, lastDownY;
	Eina_Bool		lastDown;
	Eina_Bool		lastMultiDown;
	Ecore_Timer *keypad_reset_timer;
} dial_multiTouch_info;


int ph_dialer_create_content(ph_dialer_data *dial_d);
void ph_dialer_entry_set_number(ph_dialer_data *dial_d, char *orig, int cursor);
void ph_dialer_update_cnt_btn(ph_dialer_data *dial_d, int count);
char* ph_dialer_gl_label_get(void *data, Evas_Object *obj, const char *part);
Evas_Object* ph_dialer_gl_icon_get(void *data, Evas_Object *obj, const char *part);
Eina_Bool ph_dialer_reload_data(void *data);


#endif /* __PH_DIALER_VIEW_H__ */
