/*
* Copyright 2012 Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.1 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


#ifndef __CT_FAVOR_H__
#define __CT_FAVOR_H__

#include "phone-common.h"


enum {
	PH_FAVOR_MODE_DEFAULT,
	PH_FAVOR_MODE_EDIT,
};

typedef struct
{
	Evas_Object *win;
	Evas_Object *mf_layout;
	Evas_Object *navi;
	Evas_Object *layout;
	Evas_Object *box;
	Evas_Object *favor_gengrid;
	Evas_Object *mf_gengrid;
	Evas_Object *popup;
	Evas_Object *ctx_popup;
	Elm_Theme *th;
	Elm_Object_Item *navi_item;
	Evas_Object *navi_button;
	Eina_List *favor_list;
	Eina_List *mf_list;
	Eina_Bool longpressed;
	Ecore_Timer *update_timer_contact;
	Ecore_Timer *update_timer_favor;
	Ecore_Timer *update_timer_log;
	int list_mode;
	int selected_person_id;
	int checked_cnt;
	int favor_list_count;
	int mf_list_count;
	int readed_n;
	int version;
	int ug_request;
	int ug_cnt_max;
	int touch_x;
	int touch_y;
	int mfc_option;
	bool is_background;
	bool is_mf_changed;
	bool favor_move;
	bool updating;
	char *ug_data;
	Ecore_Idler *list_idler;
	void *ug;
	void *child_ug;
	ph_progress_info *p_info;
}ph_favorite_data;

Evas_Object* phone_favor_create_view(ph_view_info *view_info);
void phone_favor_set_navi(Evas_Object *base, int mode);
void phone_favor_view_reset(Evas_Object *base);
void phone_favor_view_language_changed(Evas_Object *base);
void phone_favor_set_background(Evas_Object *obj, bool is_background);
void phone_favor_edit_mode_start(ph_favorite_data *favor_d);

#endif /* __CT_FAVOR_H__ */

