/*
* Copyright 2012 Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.1 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


#ifndef __PH_FRONT_H__
#define __PH_FRONT_H__

#include <app.h>
#include <phone-common.h>

enum {
	PH_FRONT_DIALER_WITH_NUM,
	PH_FRONT_LOG_MISSED,
	PH_FRONT_DIALER_WITH_SEND_KEY,
};

enum PH_VIEW_TYPE {
	PH_VIEW_NONE = -1,
	PH_VIEW_DIALER = 0,
	PH_VIEW_CONTACT,
	PH_VIEW_LOG,
	PH_VIEW_FAVORITE,
	PH_VIEW_MAX,
};

typedef struct
{
	Evas_Object *win;
	Evas_Object *navi;
	Evas_Object *layout;
	Evas_Object *tabbar;
	Evas_Object *sub_view[PH_VIEW_MAX];
	Elm_Object_Item *item[PH_VIEW_MAX];
	bool view_visible[PH_VIEW_MAX];
	void *ug;
	char *ug_data;
	int ug_request;
	int cnt_max;
	int select_tab;
	Ecore_Idler *idler;
	Ecore_Timer *timer;
#ifdef _PHONE_CONTACTS_DESKTOP_MODE_
	Evas_Object *icon;
	bool is_desktop_mode;
#endif

}ph_phoneui_data;


ph_phoneui_data* phone_front_view_create(Evas_Object *win);
API void phone_front_view_show_sub_view(ph_phoneui_data *phoneui_d);
Eina_Bool phone_front_view_load_timer(void *data);
void phone_front_view_region_changed(ph_phoneui_data *phoneui_d);
void phone_front_view_reset(ph_phoneui_data *phoneui_d, int tab_index, int op, service_h service);
void phone_front_view_language_changed(ph_phoneui_data *phoneui_d);
void phone_front_view_resume(ph_phoneui_data *phoneui_d);
void phone_front_view_pause(ph_phoneui_data *phoneui_d);
int phone_front_view_show_call_app(ph_phoneui_data *phoneui_d);

#endif /* __PH_FRONT_H__ */

