/*
* Copyright 2012 Samsung Electronics Co., Ltd
*
* Licensed under the Flora License, Version 1.1 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://floralicense.org/license/
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


#ifndef __CONTACTS_SETTING_VIEW_H__
#define __CONTACTS_SETTING_VIEW_H__

typedef struct {
	Eina_Bool checked;
	void *data;
} ct_setting_gl_data;

typedef struct {
	Evas_Object *navi;
	Evas_Object *popup;
	Evas_Object *notify;
	Evas_Object *radio_order;
	Evas_Object *radio_mfc;
	Elm_Object_Item *navi_item_main;

	Evas_Object *genlist;

	int cnt_sdn_list;
	int id_ab;
	int mode;
	char *path;
	ui_gadget_h ug;
	void *child_ug;

	int *list_export_ct;
	int list_export_ct_cnt;

	Eina_List *list_import_records;
	int import_total_cnt;
	int import_cnt;
	int storage_type;
	contacts_list_h import_list;

	ph_progress_info *p_info;
}ct_setting_data;

typedef struct {
	char *name;
	char *number;
}ct_sdn_list;


Evas_Object* ct_setting_create_layout(ct_setting_data *csetting_d );

#endif //__CONTACTS_DETAIL_VIEW_H__
